package com.syntevo.openapi.smartsvn.gui.menu;

/**
 * An item of a {@link com.syntevo.openapi.smartsvn.gui.menu.MenuContainer}.
 * Can either be a menu itself, an action or some special item (like a separator).
 */
public interface MenuItem {

	/**
	 * Returns the item's type (either "menu", "action" or "separator")
	 */
	String getType();
}
