package com.syntevo.plugin.quickupdate;

import com.syntevo.openapi.*;
import com.syntevo.openapi.smartsvn.*;

/**
 * @author syntevo GmbH
 */
public final class QuickUpdatePlugin implements IActivator {

	// Constants ==============================================================

	public static final String ID = "com.syntevo.quickupdate";

	// Implemented ============================================================

	public void initialize(SmartSvnServices services) {
		services.getSettingsServices().addGlobalSettingsPageFactory(new UpdateSettingsPageFactory(services.getGuiSpacings()));
		services.addUpdateWorkflowFactory(new QuickUpdateWorkflowFactory(services.getSettingsServices().getGlobalSettingsProvider()));
	}
}
